repo/gentoo:master commit in: app-emacs/transient/

Maciej Barć <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786282303.5a09afa634fcbc7abaeeee19ad6c5f7869e99e8d.xgqt@gentoo>
commit:     5a09afa634fcbc7abaeeee19ad6c5f7869e99e8d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 12:11:21 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 13:31:43 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a09afa6

app-emacs/transient: bump to 0.13.7

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/transient/Manifest                |  1 +
 app-emacs/transient/transient-0.13.7.ebuild | 45 +++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/app-emacs/transient/Manifest b/app-emacs/transient/Manifest
index 946738442e4e..738b51fcce71 100644
--- a/app-emacs/transient/Manifest
+++ b/app-emacs/transient/Manifest
@@ -2,3 +2,4 @@ DIST transient-0.12.0.gh.tar.gz 172373 BLAKE2B d4664684ba690c1e6cc4559eaab72fdd4
 DIST transient-0.13.4.gh.tar.gz 181869 BLAKE2B 1f578d327623922c431fc3c658f82f7e1b9ea352be9d939e36b6abb2a58c20fb05a2318eeb8cb1288b674d10dc24854104c307638dbe1cbd476a07ca12a40152 SHA512 1c9cebee165a5ed36ea527259f44b7d86ecece78d5e3a0883eebcd39be4f7e36d9ad952c6ea1a8f0e7a51b8fe204f0f4ef4c3202f4d399147a7c898d91b9a681
 DIST transient-0.13.5.gh.tar.gz 181908 BLAKE2B a9283e9f0976275eb16b61745f1161efaf1dcfacb3ce83121114ef340e5f72b5df0d5476c9414fb1b16d8d8d0134c4cd5987f70b381ad8a0f1cd36b0a70d456c SHA512 a69d8a1827e17bca72e807fdbdd47e95ad28628c0c45022980226e77a8f56a4e36ad107de995393d4261ca2169e3769730a817468189d9006c38b8cbdd888aec
 DIST transient-0.13.6.gh.tar.gz 183053 BLAKE2B 1be497a3d09e6dae80cc1977e9946ddc0eca52da3779bafeb406b2a81f9e6a6c2627e49dba1cf19e718b114f2782bc63396725a6013cc640b33d4c70f001cb51 SHA512 5766d1808a0e7c153be25f089468597048378ca7fa63f8b09e2cf255f18a0c68aa51e9c41781276b8e4a2e89669235cb7e977363b4546671d6fca57314bc221c
+DIST transient-0.13.7.gh.tar.gz 183105 BLAKE2B f7df31edd42084f4f2991b986c039efa0d949affccd5c21661dcae75849216377b06970429d578233888720cca59f7704be9177adf6e6aaa1040a589db0ad887 SHA512 d69ec2abf994e9ee43331cd4df2fccaaa970e47f97e12f5eef17c49fd67a54206e6733d68f4e5d9153a1baedb7d925152043b59c1c34d5b517b266b8fabdad7a

diff --git a/app-emacs/transient/transient-0.13.7.ebuild b/app-emacs/transient/transient-0.13.7.ebuild
new file mode 100644
index 000000000000..98c1cd1e282e
--- /dev/null
+++ b/app-emacs/transient/transient-0.13.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+NEED_EMACS="28.1"
+
+inherit elisp
+
+DESCRIPTION="Transient commands abstraction for GNU Emacs"
+HOMEPAGE="https://magit.vc/manual/transient/
+	https://github.com/magit/transient/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/magit/${PN}"
+else
+	SRC_URI="https://github.com/magit/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+	>=app-emacs/compat-31.0
+	>=app-emacs/cond-let-1.1
+	>=app-emacs/llama-1.0
+"
+BDEPEND="
+	${RDEPEND}
+	sys-apps/texinfo
+"
+
+DOCS=( CHANGELOG README.org "docs/${PN}.org" )
+ELISP_TEXINFO="docs/${PN}.texi"
+SITEFILE="50${PN}-gentoo.el"
+
+elisp-enable-tests ert ./test/ -l "./test/${PN}-tests.el"
+
+src_prepare() {
+	mv ./lisp/*.el . || die
+	elisp_src_prepare
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.